DCMTK: DRTContributingEquipmentSequence::Item Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTContributingEquipmentSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTContributingEquipmentSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getContributionDateTime (OFString &value, const signed long pos=0) const
| get ContributionDateTime (0018,a002)
OFCondition | getContributionDescription (OFString &value, const signed long pos=0) const
| get ContributionDescription (0018,a003)
OFCondition | getDateOfLastCalibration (OFString &value, const signed long pos=0) const
| get DateOfLastCalibration (0018,1200)
OFCondition | getDeviceSerialNumber (OFString &value, const signed long pos=0) const
| get DeviceSerialNumber (0018,1000)
OFCondition | getDeviceUID (OFString &value, const signed long pos=0) const
| get DeviceUID (0018,1002)
OFCondition | getInstitutionAddress (OFString &value, const signed long pos=0) const
| get InstitutionAddress (0008,0081)
OFCondition | getInstitutionName (OFString &value, const signed long pos=0) const
| get InstitutionName (0008,0080)
OFCondition | getInstitutionalDepartmentName (OFString &value, const signed long pos=0) const
| get InstitutionalDepartmentName (0008,1040)
OFCondition | getManufacturer (OFString &value, const signed long pos=0) const
| get Manufacturer (0008,0070)
OFCondition | getManufacturerModelName (OFString &value, const signed long pos=0) const
| get ManufacturerModelName (0008,1090)
OFCondition | getOperatorsName (OFString &value, const signed long pos=0) const
| get OperatorsName (0008,1070)
OFCondition | getSoftwareVersions (OFString &value, const signed long pos=0) const
| get SoftwareVersions (0018,1020)
OFCondition | getSpatialResolution (OFString &value, const signed long pos=0) const
| get SpatialResolution (0018,1050)
OFCondition | getSpatialResolution (Float64 &value, const unsigned long pos=0) const
| get SpatialResolution (0018,1050)
OFCondition | getStationName (OFString &value, const signed long pos=0) const
| get StationName (0008,1010)
OFCondition | getTimeOfLastCalibration (OFString &value, const signed long pos=0) const
| get TimeOfLastCalibration (0018,1201)
DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence ()
| get InstitutionalDepartmentTypeCodeSequence (0008,1041)
const DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence () const
| get InstitutionalDepartmentTypeCodeSequence (0008,1041)
DRTOperatorIdentificationSequence & | getOperatorIdentificationSequence ()
| get OperatorIdentificationSequence (0008,1072)
const DRTOperatorIdentificationSequence & | getOperatorIdentificationSequence () const
| get OperatorIdentificationSequence (0008,1072)
DRTPurposeOfReferenceCodeSequence & | getPurposeOfReferenceCodeSequence ()
| get PurposeOfReferenceCodeSequence (0040,a170)
const DRTPurposeOfReferenceCodeSequence & | getPurposeOfReferenceCodeSequence () const
| get PurposeOfReferenceCodeSequence (0040,a170)
DRTUDISequence & | getUDISequence ()
| get UDISequence (0018,100a)
const DRTUDISequence & | getUDISequence () const
| get UDISequence (0018,100a)
OFCondition | setContributionDateTime (const OFString &value, const OFBool check=OFTrue)
| set ContributionDateTime (0018,a002)
OFCondition | setContributionDescription (const OFString &value, const OFBool check=OFTrue)
| set ContributionDescription (0018,a003)
OFCondition | setDateOfLastCalibration (const OFString &value, const OFBool check=OFTrue)
| set DateOfLastCalibration (0018,1200)
OFCondition | setDeviceSerialNumber (const OFString &value, const OFBool check=OFTrue)
| set DeviceSerialNumber (0018,1000)
OFCondition | setDeviceUID (const OFString &value, const OFBool check=OFTrue)
| set DeviceUID (0018,1002)
OFCondition | setInstitutionAddress (const OFString &value, const OFBool check=OFTrue)
| set InstitutionAddress (0008,0081)
OFCondition | setInstitutionName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionName (0008,0080)
OFCondition | setInstitutionalDepartmentName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionalDepartmentName (0008,1040)
OFCondition | setManufacturer (const OFString &value, const OFBool check=OFTrue)
| set Manufacturer (0008,0070)
OFCondition | setManufacturerModelName (const OFString &value, const OFBool check=OFTrue)
| set ManufacturerModelName (0008,1090)
OFCondition | setOperatorsName (const OFString &value, const OFBool check=OFTrue)
| set OperatorsName (0008,1070)
OFCondition | setSoftwareVersions (const OFString &value, const OFBool check=OFTrue)
| set SoftwareVersions (0018,1020)
OFCondition | setSpatialResolution (const OFString &value, const OFBool check=OFTrue)
| set SpatialResolution (0018,1050)
OFCondition | setStationName (const OFString &value, const OFBool check=OFTrue)
| set StationName (0008,1010)
OFCondition | setTimeOfLastCalibration (const OFString &value, const OFBool check=OFTrue)
| set TimeOfLastCalibration (0018,1201)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDateTime | ContributionDateTime
| ContributionDateTime (0018,a002) vr=DT, vm=1, type=3.
DcmShortText | ContributionDescription
| ContributionDescription (0018,a003) vr=ST, vm=1, type=3.
DcmDate | DateOfLastCalibration
| DateOfLastCalibration (0018,1200) vr=DA, vm=1-n, type=3.
DcmLongString | DeviceSerialNumber
| DeviceSerialNumber (0018,1000) vr=LO, vm=1, type=3.
DcmUniqueIdentifier | DeviceUID
| DeviceUID (0018,1002) vr=UI, vm=1, type=3.
DcmShortText | InstitutionAddress
| InstitutionAddress (0008,0081) vr=ST, vm=1, type=3.
DcmLongString | InstitutionName
| InstitutionName (0008,0080) vr=LO, vm=1, type=3.
DcmLongString | InstitutionalDepartmentName
| InstitutionalDepartmentName (0008,1040) vr=LO, vm=1, type=3.
DRTInstitutionalDepartmentTypeCodeSequence | InstitutionalDepartmentTypeCodeSequence
| InstitutionalDepartmentTypeCodeSequence (0008,1041) vr=SQ, vm=1, type=3.
DcmLongString | Manufacturer
| Manufacturer (0008,0070) vr=LO, vm=1, type=1.
DcmLongString | ManufacturerModelName
| ManufacturerModelName (0008,1090) vr=LO, vm=1, type=3.
DRTOperatorIdentificationSequence | OperatorIdentificationSequence
| OperatorIdentificationSequence (0008,1072) vr=SQ, vm=1, type=3.
DcmPersonName | OperatorsName
| OperatorsName (0008,1070) vr=PN, vm=1-n, type=3.
DRTPurposeOfReferenceCodeSequence | PurposeOfReferenceCodeSequence
| PurposeOfReferenceCodeSequence (0040,a170) vr=SQ, vm=1, type=1.
DcmLongString | SoftwareVersions
| SoftwareVersions (0018,1020) vr=LO, vm=1-n, type=3.
DcmDecimalString | SpatialResolution
| SpatialResolution (0018,1050) vr=DS, vm=1, type=3.
DcmShortString | StationName
| StationName (0008,1010) vr=SH, vm=1, type=3.
DcmTime | TimeOfLastCalibration
| TimeOfLastCalibration (0018,1201) vr=TM, vm=1-n, type=3.
DRTUDISequence | UDISequence
| UDISequence (0018,100a) vr=SQ, vm=1, type=3.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTContributingEquipmentSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTContributingEquipmentSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getContributionDateTime()

OFCondition DRTContributingEquipmentSequence::Item::getContributionDateTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContributionDateTime (0018,a002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContributionDescription()

OFCondition DRTContributingEquipmentSequence::Item::getContributionDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ContributionDescription (0018,a003)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDateOfLastCalibration()

OFCondition DRTContributingEquipmentSequence::Item::getDateOfLastCalibration | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DateOfLastCalibration (0018,1200)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeviceSerialNumber()

OFCondition DRTContributingEquipmentSequence::Item::getDeviceSerialNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DeviceSerialNumber (0018,1000)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeviceUID()

OFCondition DRTContributingEquipmentSequence::Item::getDeviceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get DeviceUID (0018,1002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionAddress()

OFCondition DRTContributingEquipmentSequence::Item::getInstitutionAddress | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get InstitutionAddress (0008,0081)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionalDepartmentName()

OFCondition DRTContributingEquipmentSequence::Item::getInstitutionalDepartmentName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get InstitutionalDepartmentName (0008,1040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionalDepartmentTypeCodeSequence() [1/2]

DRTInstitutionalDepartmentTypeCodeSequence & DRTContributingEquipmentSequence::Item::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) |
| inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  reference to sequence element

References InstitutionalDepartmentTypeCodeSequence.

## ◆ getInstitutionalDepartmentTypeCodeSequence() [2/2]

const DRTInstitutionalDepartmentTypeCodeSequence & DRTContributingEquipmentSequence::Item::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) | const
| inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  const reference to sequence element

References InstitutionalDepartmentTypeCodeSequence.

## ◆ getInstitutionName()

OFCondition DRTContributingEquipmentSequence::Item::getInstitutionName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get InstitutionName (0008,0080)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getManufacturer()

OFCondition DRTContributingEquipmentSequence::Item::getManufacturer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get Manufacturer (0008,0070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getManufacturerModelName()

OFCondition DRTContributingEquipmentSequence::Item::getManufacturerModelName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ManufacturerModelName (0008,1090)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOperatorIdentificationSequence() [1/2]

DRTOperatorIdentificationSequence & DRTContributingEquipmentSequence::Item::getOperatorIdentificationSequence | ( |  | ) |
| inline

get OperatorIdentificationSequence (0008,1072)

Returns
  reference to sequence element

References OperatorIdentificationSequence.

## ◆ getOperatorIdentificationSequence() [2/2]

const DRTOperatorIdentificationSequence & DRTContributingEquipmentSequence::Item::getOperatorIdentificationSequence | ( |  | ) | const
| inline

get OperatorIdentificationSequence (0008,1072)

Returns
  const reference to sequence element

References OperatorIdentificationSequence.

## ◆ getOperatorsName()

OFCondition DRTContributingEquipmentSequence::Item::getOperatorsName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get OperatorsName (0008,1070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPurposeOfReferenceCodeSequence() [1/2]

DRTPurposeOfReferenceCodeSequence & DRTContributingEquipmentSequence::Item::getPurposeOfReferenceCodeSequence | ( |  | ) |
| inline

get PurposeOfReferenceCodeSequence (0040,a170)

Returns
  reference to sequence element

References PurposeOfReferenceCodeSequence.

## ◆ getPurposeOfReferenceCodeSequence() [2/2]

const DRTPurposeOfReferenceCodeSequence & DRTContributingEquipmentSequence::Item::getPurposeOfReferenceCodeSequence | ( |  | ) | const
| inline

get PurposeOfReferenceCodeSequence (0040,a170)

Returns
  const reference to sequence element

References PurposeOfReferenceCodeSequence.

## ◆ getSoftwareVersions()

OFCondition DRTContributingEquipmentSequence::Item::getSoftwareVersions | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SoftwareVersions (0018,1020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpatialResolution() [1/2]

OFCondition DRTContributingEquipmentSequence::Item::getSpatialResolution | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get SpatialResolution (0018,1050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpatialResolution() [2/2]

OFCondition DRTContributingEquipmentSequence::Item::getSpatialResolution | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get SpatialResolution (0018,1050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStationName()

OFCondition DRTContributingEquipmentSequence::Item::getStationName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get StationName (0008,1010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTimeOfLastCalibration()

OFCondition DRTContributingEquipmentSequence::Item::getTimeOfLastCalibration | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get TimeOfLastCalibration (0018,1201)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getUDISequence() [1/2]

DRTUDISequence & DRTContributingEquipmentSequence::Item::getUDISequence | ( |  | ) |
| inline

get UDISequence (0018,100a)

Returns
  reference to sequence element

References UDISequence.

## ◆ getUDISequence() [2/2]

const DRTUDISequence & DRTContributingEquipmentSequence::Item::getUDISequence | ( |  | ) | const
| inline

get UDISequence (0018,100a)

Returns
  const reference to sequence element

References UDISequence.

## ◆ isEmpty()

OFBool DRTContributingEquipmentSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTContributingEquipmentSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTContributingEquipmentSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTContributingEquipmentSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContributionDateTime()

OFCondition DRTContributingEquipmentSequence::Item::setContributionDateTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContributionDateTime (0018,a002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContributionDescription()

OFCondition DRTContributingEquipmentSequence::Item::setContributionDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ContributionDescription (0018,a003)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDateOfLastCalibration()

OFCondition DRTContributingEquipmentSequence::Item::setDateOfLastCalibration | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DateOfLastCalibration (0018,1200)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeviceSerialNumber()

OFCondition DRTContributingEquipmentSequence::Item::setDeviceSerialNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DeviceSerialNumber (0018,1000)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeviceUID()

OFCondition DRTContributingEquipmentSequence::Item::setDeviceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set DeviceUID (0018,1002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionAddress()

OFCondition DRTContributingEquipmentSequence::Item::setInstitutionAddress | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set InstitutionAddress (0008,0081)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionalDepartmentName()

OFCondition DRTContributingEquipmentSequence::Item::setInstitutionalDepartmentName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set InstitutionalDepartmentName (0008,1040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionName()

OFCondition DRTContributingEquipmentSequence::Item::setInstitutionName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set InstitutionName (0008,0080)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setManufacturer()

OFCondition DRTContributingEquipmentSequence::Item::setManufacturer | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set Manufacturer (0008,0070)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setManufacturerModelName()

OFCondition DRTContributingEquipmentSequence::Item::setManufacturerModelName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ManufacturerModelName (0008,1090)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOperatorsName()

OFCondition DRTContributingEquipmentSequence::Item::setOperatorsName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set OperatorsName (0008,1070)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSoftwareVersions()

OFCondition DRTContributingEquipmentSequence::Item::setSoftwareVersions | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SoftwareVersions (0018,1020)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSpatialResolution()

OFCondition DRTContributingEquipmentSequence::Item::setSpatialResolution | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set SpatialResolution (0018,1050)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStationName()

OFCondition DRTContributingEquipmentSequence::Item::setStationName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set StationName (0008,1010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTimeOfLastCalibration()

OFCondition DRTContributingEquipmentSequence::Item::setTimeOfLastCalibration | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set TimeOfLastCalibration (0018,1201)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTContributingEquipmentSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtces.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2